DUMPSEG(8)

NAME
dumpseg - print segment information of NILFS2

SYNOPSIS
dumpseg [-hV]

dumpseg [device] segment-number ...

DESCRIPTION
The dumpseg program is an analysis tool for on-disk logs of a NILFS2 file system found in device. It displays the configuration of every log stored in the segments specified by one or more segment-numbers. The term segment here means a contiguous lump of disk blocks giving an allocation unit of NILFS2 disk space. When device is omitted, it tries to find an active NILFS2 file system from /proc/mounts.

dumpseg is a tool for debugging rather than administration. To list a summary of segments, lssu(1) is available instead.

OPTIONS

-h, --help
    Display help message and exit.

-V, --version
    Display version and exit.

FIELD DESCRIPTION
dumpseg shows the configuration of each log with the following fields, where each field is printed in the style of ``field-name = value''.

creation time
    Creation date and time of the log.

nfinfo
    Number of file information summaries.

finfo
    File information summary. This information starts with the following fields:

    ino Inode number of the file.

    cno Number of the checkpoint that the blocks included in the file belong to. For normal writings, this is equal to the latest checkpoint number. For the writings involved in garbage collection, this indicates a past checkpoint number.

    nblocks
        Number of blocks of the file written in the log. This number is a sum of the number of data blocks and B-tree node blocks. The contents of these blocks are written serially in the payload part of the log. Only modified or newly created blocks are written to each log.

    ndatblk
        Number of data blocks of the file written in the log.

    Then, for each update block in the file, the following information will follow these headings.

    vblocknr
        Virtual block number. Not printed for data blocks of the Disk Address Translation file (DAT file).

    blkoff
        Block offset number. Not printed for B-tree node blocks except for the DAT file.

    level
        Level of B-tree node block. Printed only for the DAT file.

    blocknr
        Block address on the device. This is not an actual field in the summary but is calculated from the disk address of each log.

AUTHOR
Koji Sato

AVAILABILITY
dumpseg is part of the nilfs-utils package and is available from https://nilfs.sourceforge.io.

SEE ALSO
nilfs(8), lssu(1).